jmarkov.jmdp

## Class StochasticShortestPath<S extends StateC,A extends Action>

- java.lang.Object
- - jmarkov.jmdp.MDP<S,A>
  - - jmarkov.jmdp.InfiniteMDP<S,A>
    - - jmarkov.jmdp.DTMDP<S,A>
      - - jmarkov.jmdp.StochasticShortestPath<S,A>

- Type Parameters:
    `S` - States class
    `A` - Actions class

      public abstract class StochasticShortestPath<S extends StateC,A extends Action>
      extends DTMDP<S,A>

  This class represents an infinite horizon shortest path problem.
  Author:
    Juan F. Redondo, Andres Sarmiento, German Riaņo -- - Universidad de los Andes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StochasticShortestPath(States<S> states)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `modifiedProb(S i, S j, A a)` This method was specially created to eliminate in a existent graph the self-transition probabilities.

    - ### Methods inherited from class jmarkov.jmdp.DTMDP

      `getSteadyStateProbabilities, immediateCost, prob, reachable, setProbabilitySolver, solve`

    - ### Methods inherited from class jmarkov.jmdp.InfiniteMDP

      `feasibleActions, getAllStates, getNumStates, getSolver`

    - ### Methods inherited from class jmarkov.jmdp.MDP

      `debug, debug, debug, getDebugLevel, getOptimalPolicy, getOptimalValueFunction, getReporter, isFinite, isSolved, operation, printSolution, printSolution, setDebugLevel, setReporter, setSolver, solve`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StochasticShortestPath

          public StochasticShortestPath(States<S> states)

      Parameters:
        `states` - Constructor

  - ### Method Detail

    - #### modifiedProb

          public double modifiedProb(S i,
                            S j,
                            A a)
                              throws StructureException

      This method was specially created to eliminate in a existent graph the self-transition probabilities.
      Parameters:
        `i` -
        `j` -
        `a` -
      Returns:
        the modified probability
      Throws:
        `StructureException`